package gov.va.med.esr.common.builder.entity;

import gov.va.med.esr.common.model.ee.MilitaryServiceSiteRecord;

/**
 * 
 * @author Rajiv Patnaik Created on Jul 20, 2005
 * @version 1.0
 * 
 * Copyright © 2005 VHA. All rights reserved
 */
public interface MilitaryServiceSiteRecordMetaData
{
    public MilitaryServiceSiteRecord getEntity();

    public void setEntity(MilitaryServiceSiteRecord entity);

    public ConflictExperienceMetaData[] getConflictExperiences();

    public MilitaryServiceEpisodeMetaData[] getMilitaryServiceEpisodes();

    public String getServicePeriod();

    public String getFilipinoVeteranProof();

    public String getSite();

}